
.red {
 color: red;
}

.green {
 color: limegreen;
}

.blue {
 color: blue;
}

.violet {
  color: darkmagenta;
 }

 /*
.timestam_date {
}
*/


.k_preview_paragraph {
 cursor: pointer;
}

.k_preview_paragraph.k_collapsed {
 max-height: 50px;
 overflow-y: hidden;
 border-bottom: 1px dashed #1468A0; /*blue*/
}

.k_preview_paragraph.k_collapsed:hover {
 border-bottom: 1px dashed #F15A2B; /*orange*/
}

.timestamp_time {
 color: #666666;
 font-size: smaller;
}

h1 .table_name, h3 .count-entries {
 font-weight: normal;
 color: #666666;
 font-size: 50%;
}

.table_description {
 color: #666666;
}

.smarttable {
 width: auto!important;
}


/*.smarttable td {*/
/*  min-width: 200px; */ /* now defined as param in table fields_settings */ 
/*}*/



.smarttable th.smarttable-tools {
 width: 100px;
 min-width: 100px;
}

.simpletable th.simpletable-tools {
 width: 50px;
 min-width: 100px;
}

ul.k-top-actions {
 margin-left: 0.5em;
}

ul.k-top-actions > li {
 display: inline-block;
 margin-right: 1.5em;
}

.k-deleted-row {
 color: red;
 text-decoration: line-through;
}

.k-datepicker {
 max-width: 150px;
}

.k-integer {
 max-width: 100px;
}

li.active {
 border-left: 3px solid #F15A2B;
}

li.active a {
 color: #F15A2B;
}

textarea {
 height: 200px;
}

   nav ul {
    margin: 0px;
   }

   nav ul li {
    padding: 0.5em;
    padding-left: 1em;
    border-left: 3px solid transparent;
   }
   nav ul li:hover {
    border-left: 3px solid #1468A0;
    background-color: #ccc;
   }

   nav ul li a {
    display: block;
    font-size: 97%;
   }

   nav ul li a, nav ul li a:hover {
    color: #666;
   }
   nav ul li a i {
    width: 1.5em;
   }

/* dark mode */

body.k-dark {
 background-color: black;
 color: #fff;
}

.k-dark .count-entries,
.k-dark .table_name,
.k-dark .table_description {
  color: #bbbbbb;
}

.k-dark .off-canvas {
 background-color: #222222;
}

.k-dark nav ul li:hover {
    background-color: #444444;
}

.k-dark nav ul li a {
  color: #bbbbbb;
}

.k-dark table tbody,
.k-dark table thead,
.k-dark table tfoot {
 border: 1px solid #222222;
 background-color: black;
 color: #fff;
}

.k-dark table tbody tr:nth-child(even) {
 background-color: #222222;
}

.k-dark .reveal {
 background-color: black;
}

.k-dark .title-bar {
 background-color: #222222;
}

.k-dark label {
 color: #ffffff;
}

.k-dark select,
.k-dark input,
.k-dark textarea {
 background-color: #333333;
 color: #ffffff;
}

.k-dark input:focus {
 background-color: #555555;
 color: #ffffff;
}

.k-dark .input-group-label,
.k-dark .switch-paddle 
{
 background-color: #333333;
}

.k-dark a .fa-sort {
  color: #ffffff; /* #7cbfec; */
}

